import { buildApiUrl } from '../../../core/config/api-url.util';


export const TENANT_CURRENCIES_ENDPOINTS = {
    dataTable: buildApiUrl(
        'masterAdmin',
        '/v1/tenant-currencies/datatable'
    ),

    create: buildApiUrl(
        'masterAdmin',
        '/v1/tenant-currencies'
    ),

    getById: (id: string) =>
        buildApiUrl(
            'masterAdmin',
            `/v1/tenant-currencies/${encodeURIComponent(id)}`
        ),

    autocomplete: buildApiUrl(
        'masterAdmin',
        '/v1/tenant-currencies/autocomplete'
    ),

    update: (id: string) =>
        buildApiUrl(
            'masterAdmin',
            `/v1/tenant-currencies/${encodeURIComponent(id)}`
        )

} as const;
